/// Evolver Copyright 2000, Morgan McGuire
/// matrix@alum.mit.edu   http://graphics3d.com/matrix
public final class Cosine extends TrigonometricOperator implements ELOperator 
{
  protected final float function(float f)
  {
    return (float)Math.cos(f);
  }

  public String name()
  {
    return "Cosine";
  }

  public String description()
  {
    return "Computes the cosine of the input matrix";
  }  
}
